AMFLUSH(8)

NAME
amflush - flush AMANDA backup files from holding disk to tape

SYNOPSIS

amflush [-b] [-f] [-s] [-D datestamp...] config [host [disk...]...]

DESCRIPTION

Amflush writes AMANDA backups from the holding disks to tape, and updates the AMANDA info database and tapelist accordingly. Backups may stay in a holding disk when something is wrong with the tape at the time amdump is run. When this happens, the problem must be corrected and amflush run by hand.

OPTIONS

-b  Run amflush in batch mode. All datestamps are selected unless specified. The flush is started without confirmation.

-f  Run amflush in foreground. Amflush normally detaches itself from the tty and runs as a background process. With the -f option, amflush stays in the foreground. This is useful if amflush is run as part of another script that, for example, advances the tape after the flush is completed.

-s  Write log to stdout/stderr instead of the amflush log file. Requires the -f option.

-D datestamp
    specify a datestamp expression you want to flush, see the "DATESTAMP EXPRESSION" section of amanda(8) for a description. -D 20001225-7 will flush all dumps from 25 december 2000 to 27 december 2000.

You can specify many host/disk expressions, only disks that match an expression will be flushed. All disks are flushed if no expressions are given. see the "HOST & DISK EXPRESSION" section of amanda(8) for a description.

Amflush will look in the holding disks specified by the amanda.conf file in /usr/local/etc/amanda/config for any non-empty AMANDA work directories. It then prompts you to select a directory or to process all of the directories. The work directories in the holding disks are named by the date at the time amdump was run, e.g. 19910215.

See the amanda(8) man page for more details about AMANDA.

EXAMPLE

Amflush will search for holding areas associated with the daily configuration. After you select which holding area to flush, amflush writes the data to tape, updates the databases and sends a mail report similar to amdump(8).
% amflush daily
Scanning /amanda-hold...
  20001113: found AMANDA directory.
  20001114: found AMANDA directory.
Multiple AMANDA directories, please pick one by letter:
  A. 20001113
  B. 20001114
Select directories to flush [A..B]: [ALL] all
Flushing dumps in 20001113, 20001114,
today: 20001117
to tape drive /dev/rmt/0mn.
Expecting tape DMP014 or a new tape.  (The last dumps were to tape DMP013)
Are you sure you want to do this? yes
Running in background, you can log off now.
You'll get mail when amflush is finished.

AUTHOR

James da Silva, <jds@amanda.org> : Original text

Stefan G. Weichinger, <sgw@amanda.org>, maintainer of the AMANDA-documentation: XML-conversion

SEE ALSO

amanda(8), amdump(8)